# Define your item pipelines here
#
# Don't forget to add your pipeline to the ITEM_PIPELINES setting
# See: https://docs.scrapy.org/en/latest/topics/item-pipeline.html


# useful for handling different item types with a single interface
from itemadapter import ItemAdapter


class DXiaoshuoPipeline:
    def open_spider(self, spider):
        self.filename = open('xiaoshuo.txt', 'w', encoding='utf-8')     # 开

    def process_item(self, item, spider):
        info = item['title']    # 这样写文件是没有数据的

        # print(info)
        self.filename.write(info)                                       # 写
        # self.filename.flush()   # 处理文件流，以确保文件里能够写入
        return item

    def close_spider(self, spider):
        self.filename.close()                                           # 关
