import scrapy


class QuSpider(scrapy.Spider):
    name = 'qu'
    allowed_domains = ['qu.la']
    start_urls = ['https://www.xbiquge.la/80/80498/31381066.html']

    def parse(self, response):
        title = response.xpath('//div[@id="list"]//a').extract_first()

        # string字符串格式化————extract_first提取内容
        # content = response.xpath("string(//div[@id='content'])").extract_first().strip()
        # 但是这样返回的数据是在一行的，需要替换空格
        content = response.xpath("string(//div[@id='content'])").extract_first().strip().replace('   ', '\n')

        next_url = response.xpath("//div[@class='bottem1']/a[4]/@href").extract_first()
        yield {
            'title': title,
            "content": content
        }
        # response.urljoin自动补齐url前缀
        yield scrapy.Request(response.urljoin(next_url), callback=self.parse)
